#ifndef GUARD_5B2A3676BBB85E5075C01FF213126C89
#define GUARD_5B2A3676BBB85E5075C01FF213126C89

#include "types.h"

struct sw_filebuffer {
	u8 *_data;
	u32 pos;
	u32 size;
};

u8 *sw_file_load(char *path, u32 *out_size);

struct sw_filebuffer *sw_filebuffer_create(u32 size);
struct sw_filebuffer *sw_filebuffer_load(char *path);
void sw_filebuffer_destroy(struct sw_filebuffer *buf);

void sw_filebuffer_read(struct sw_filebuffer *buf, void *dst, u32 count);

#endif /* GUARD_5B2A3676BBB85E5075C01FF213126C89 */
